Bug 124502 - tomcat won't start, reboot fixes it.
tomcat won't start, reboot fixes it.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 20:42 EDT by Sergio A. Kessler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 12:48:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio A. Kessler 2004-05-26 20:42:33 EDT
Description of problem: 
tomcat won't start, reboot fixes it.


Version-Release number of selected component (if applicable):
# rpm -q tomcat
tomcat-4.1.27-13

How reproducible:
unknow

Steps to Reproduce:
1. uncomment in /etc/tomcat/server.xml below the line
<!-- Define a non-SSL Coyote HTTP/1.1 Connector on port 8080 -->
# service tomcat start        [OK]

2. tried to install VT survey
http://opensource.isc.vt.edu/products/survey/
putting the 'survey.war' in /var/lib/tomcat/

# service tomcat restart
shutdown tomcat   [OK]
starting tomcat   FAILED

look in /var/log/tomcat/

2004-05-26 14:36:46 HostConfig[localhost]: Expanding web application
archive survey.war
2004-05-26 14:36:47 HostConfig[localhost] Exception while expanding
web application archive survey.war
java.io.FileNotFoundException:
/usr/share/tomcat/webapps/survey/images/webcolors/ff00cc.gif (No such
file or directory)
   at _ZN4java4lang11VMThrowable16fillInStackTraceEPNS0_9ThrowableE
(/usr/lib/libgcj.so.5.0.0)
   at _ZN4java4lang9Throwable16fillInStackTraceEv
(/usr/lib/libgcj.so.5.0.0)
   at _ZN4java4lang9ThrowableC1EPNS0_6StringE (/usr/lib/libgcj.so.5.0.0)
   at _ZN4java4lang9ExceptionC1EPNS0_6StringE (/usr/lib/libgcj.so.5.0.0)
   at _ZN4java2io11IOExceptionC1EPNS_4lang6StringE
(/usr/lib/libgcj.so.5.0.0)
   at _ZN4java2io21FileNotFoundExceptionC1EPNS_4lang6StringE
(/usr/lib/libgcj.so.5.0.0)
   at _ZN4java2io14FileDescriptor4openEPNS_4lang6StringEi
(/usr/lib/libgcj.so.5.0.0)
   at _ZN4java2io14FileDescriptorC1EPNS_4lang6StringEi
(/usr/lib/libgcj.so.5.0.0)
   at _ZN4java2io16FileOutputStreamC1EPNS_4lang6StringEb
(/usr/lib/libgcj.so.5.0.0)
   at _ZN4java2io16FileOutputStreamC1EPNS0_4FileE
(/usr/lib/libgcj.so.5.0.0)
   at
_ZN3org6apache8catalina7startup9ExpandWar6expandEPN4java2io11InputStreamEPNS5_4FileEPNS4_4lang6StringE
(/usr/lib/lib-or
g-apache-catalina-4.1.27.so)
   at
_ZN3org6apache8catalina7startup9ExpandWar6expandEPNS1_4HostEPN4java3net3URLEPNS6_4lang6StringE
(/usr/lib/lib-org-apache
-catalina-4.1.27.so)
   at
_ZN3org6apache8catalina7startup9ExpandWar6expandEPNS1_4HostEPN4java3net3URLE
(/usr/lib/lib-org-apache-catalina-4.1.27.s
o)
   at
_ZN3org6apache8catalina7startup10HostConfig10deployWARsEPN4java2io4FileEP6JArrayIPNS4_4lang6StringEE
(/usr/lib/lib-org-
apache-catalina-4.1.27.so)
   at _ZN3org6apache8catalina7startup10HostConfig10deployAppsEv
(/usr/lib/lib-org-apache-catalina-4.1.27.so)
   at _ZN3org6apache8catalina7startup10HostConfig3runEv
(/usr/lib/lib-org-apache-catalina-4.1.27.so)
   at _ZN4java4lang6Thread3runEv (/usr/lib/libgcj.so.5.0.0)
   at _Z13_Jv_ThreadRunPN4java4lang6ThreadE (/usr/lib/libgcj.so.5.0.0)
   at GC_start_routine (/usr/lib/libgcj.so.5.0.0)
   at __clone (/lib/libc-2.3.3.so)


then I decided to unzip the survey.war and put the content in
/var/lib/tomcat/

# service tomcat restart
starting tomcat   FAILED

looking in /var/log/tomcat/tomcat.out:
(btw, this file doesn't log a timestamp, IMO it should)

Bootstrap: Create Catalina server
StandardClassLoader: gcjlib URL support enabled (prefix="gcjlib:")
Created catalinaLoader in: /usr/share/tomcat/server/lib
[INFO] Registry - -Loading registry information
[INFO] Registry - -Creating new Registry instance
[INFO] Registry - -Creating MBeanServer
java.lang.ClassNotFoundException: org.apache.catalina.depmoy.ErrorPage
   at _ZN4java4lang11VMThrowable16fillInStackTraceEPNS0_9ThrowableE
(/usr/lib/libgcj.so.5.0.0)
   at _ZN4java4lang9Throwable16fillInStackTraceEv
(/usr/lib/libgcj.so.5.0.0)


then I decided to delete all the files I installed,
leaving things pristine

# service tomcat restart
starting tomcat   FAILED

looking in /var/log/tomcat/tomcat.out (same shit):

Bootstrap: Create Catalina server
StandardClassLoader: gcjlib URL support enabled (prefix="gcjlib:")
Created catalinaLoader in: /usr/share/tomcat/server/lib
[INFO] Registry - -Loading registry information
[INFO] Registry - -Creating new Registry instance
[INFO] Registry - -Creating MBeanServer
java.lang.ClassNotFoundException: org.apache.catalina.depmoy.ErrorPage
   at _ZN4java4lang11VMThrowable16fillInStackTraceEPNS0_9ThrowableE
(/usr/lib/libgcj.so.5.0.0)

stare at the screen blanky for an hour...
(how it could it be ?, I am leaving things pristine...
look, I've not touched anything !)

3.
# reboot

starting tomcat    [OK]

  
Actual results:
 tomcat won't start

Expected results:
 tomcat should start

Additional info:
 a reboot fixes the problem, but I suspect is not the rigth fix...
Comment 1 Gary Benson 2004-05-27 06:39:48 EDT
The problem is that /var/lib/tomcat is not writable to the tomcat
process so it can't expand the war.  Setting
ENSURE_WEBAPPS_WRITABLE=yes in /etc/sysconfig/tomcat and restarting
tomcat should fix the problem. Let me know if you have any other
problems with it...  

And yes, the error message was rubbish: I've filed bug 124532 to
remind me to improve it.
Comment 2 Sergio A. Kessler 2004-05-27 09:02:45 EDT
oh, yes; that one of the things I suspected, but then I decided to
unzip the war manually...


anyway, gary, my main point with this bug is that tomcat won't start,
*after* I removed all traces of the survey software, and a reboot
fixes the problem... :/



also I contacted the survey software (a really simple java app)
author, this is the email exchange (tell me if I need to enter a new
bug for this):

Subject: vt survey in redhat fedora 2

Hi Sergio,
I really don't know what the problem would be. It seems
like a problem with libgcj (which unfortunately i don't know anything
about).
Is there a way to use sun's jdk as a jvm instead? I know it's working
with that.
By the way, even though you don't need LDAP you should not remove the
entries from the web.xml because they are read at every restart. If
you do,
it results in a NullPointer exception (as you found out).
Please let me know if you find the source of the problem. I have not yet
heard anyone mentioning this problem.
 
Thanks,
Jochen

	-----Original Message----- 
	From: Sergio A. Kessler [mailto:ser@kessler.com.ar] 
	Sent: Wed 5/26/2004 10:05 PM 
	To: Rode, Jochen 
	Cc: 
	Subject: vt survey in redhat fedora 2
	
	


	hi, I tried to install vt survey in redhat fedora 2,
	it comes with tomcat 4.1.27 using libgcj (from gcc) as the jvm.
	(all installed from stocks rpm from the distro)
	
	note I'm _not_ using ldap auth !
	     <param-name>authenticationMethod</param-name>
	     <param-value>standalone</param-value>
	
	first error:
	
	org.apache.jasper.JasperException: while resolving class:
	edu.vt.middleware.ldap.Ldap
	    at _ZN4java4lang11VMThrowable16fillInStackTraceEPNS0_9ThrowableE
	(/usr/lib/libgcj.so.5.0.0)
	    at _ZN4java4lang9Throwable16fillInStackTraceEv
	(/usr/lib/libgcj.so.5.0.0)
	    at _ZN4java4lang9ThrowableC1EPNS0_6StringE (/usr/lib/libgcj.so.5.0.0)
	    at _ZN4java4lang9ExceptionC1EPNS0_6StringE (/usr/lib/libgcj.so.5.0.0)
	...
	
	then I edited web.xml and deleted all the ldap params,
	tried again, this time:
	
	java.lang.NullPointerException
	    at _ZN4java4lang11VMThrowable16fillInStackTraceEPNS0_9ThrowableE
	(/usr/lib/libgcj.so.5.0.0)
	    at _ZN4java4lang9Throwable16fillInStackTraceEv
	(/usr/lib/libgcj.so.5.0.0)
	    at _ZN4java4lang9ThrowableC1EPNS0_6StringE (/usr/lib/libgcj.so.5.0.0)
	    at _ZN4java4lang9ThrowableC1Ev (/usr/lib/libgcj.so.5.0.0)
	    at _ZN4java4lang9ExceptionC1Ev (/usr/lib/libgcj.so.5.0.0)
	    at _ZN4java4lang16RuntimeExceptionC1Ev (/usr/lib/libgcj.so.5.0.0)
	...
	
	
	any hint ?
	
	/sergio
Comment 3 Gary Benson 2004-05-27 09:14:37 EDT
Ah, I see what you mean now about the reboot.  Hmmm, bizarre.  I
wonder if the failure is due to some crap left in
/var/cache/tomcat/...  I'll take a look (or you can).

As for the LDAP thing, yeah, if it's still broken once we resolve this
issue then please do file another bug for it.
Comment 4 John Thacker 2006-10-28 12:48:18 EDT
FC1 and FC2 are no longer supported even by Fedora Legacy, and this bug refers
to tomcat version 4.x, last shipped in FC2.  tomcat5 replaced it, and has quite
a few differences, so please retest the bug.  If this still occurs on FC3 or
FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.